Update to 2.14.5.
This commit is contained in:
parent
261f0c4e6e
commit
3b55089281
Notes:
svn2git
2021-03-31 03:12:20 +00:00
svn path=/head/; revision=161317
3 changed files with 7 additions and 116 deletions
|
@ -7,7 +7,7 @@
|
|||
#
|
||||
|
||||
PORTNAME= gdm
|
||||
PORTVERSION= 2.14.4
|
||||
PORTVERSION= 2.14.5
|
||||
CATEGORIES= x11 gnome
|
||||
MASTER_SITES= ${MASTER_SITE_GNOME}
|
||||
MASTER_SITE_SUBDIR= sources/${PORTNAME:S/2$//}/${PORTVERSION:C/^([0-9]+\.[0-9]+).*/\1/}
|
||||
|
@ -16,6 +16,9 @@ DIST_SUBDIR= gnome2
|
|||
MAINTAINER= gnome@FreeBSD.org
|
||||
COMMENT= GNOME 2 version of xdm display manager
|
||||
|
||||
BUILD_DEPENDS= zenity:${PORTSDIR}/x11/zenity
|
||||
RUN_DEPENDS= zenity:${PORTSDIR}/x11/zenity
|
||||
|
||||
USE_BZIP2= yes
|
||||
USE_GETTEXT= yes
|
||||
USE_X_PREFIX= yes
|
||||
|
|
|
@ -1,3 +1,3 @@
|
|||
MD5 (gnome2/gdm-2.14.4.tar.bz2) = 04cbd92e0c264787328e3373da3ebc11
|
||||
SHA256 (gnome2/gdm-2.14.4.tar.bz2) = 0050b544e87bc09290433e477bd4043c644f8dc9b03531b135fa5f5b3b1395b6
|
||||
SIZE (gnome2/gdm-2.14.4.tar.bz2) = 3041769
|
||||
MD5 (gnome2/gdm-2.14.5.tar.bz2) = d857a56eec8aeb02342da4a36a311021
|
||||
SHA256 (gnome2/gdm-2.14.5.tar.bz2) = 5ff2242e25b81fb9cb1048c09cfedf6ebb704cdcdbd66e015448a5621379fd03
|
||||
SIZE (gnome2/gdm-2.14.5.tar.bz2) = 3041754
|
||||
|
|
|
@ -1,112 +0,0 @@
|
|||
--- gui/greeter/gdmthemetester.in.orig Wed Apr 12 01:57:25 2006
|
||||
+++ gui/greeter/gdmthemetester.in Wed Apr 12 01:57:12 2006
|
||||
@@ -0,0 +1,109 @@
|
||||
+#!/bin/sh
|
||||
+
|
||||
+gdmwhich () {
|
||||
+ COMMAND="$1"
|
||||
+ OUTPUT=
|
||||
+ IFS=:
|
||||
+ for dir in $PATH
|
||||
+ do
|
||||
+ if test -x "$dir/$COMMAND" ; then
|
||||
+ if test "x$OUTPUT" = "x" ; then
|
||||
+ OUTPUT="$dir/$COMMAND"
|
||||
+ fi
|
||||
+ fi
|
||||
+ done
|
||||
+ IFS=$OLD_IFS
|
||||
+ echo "$OUTPUT"
|
||||
+}
|
||||
+
|
||||
+echo
|
||||
+echo "GDM Theme Tester"
|
||||
+echo
|
||||
+echo "Be sure to test all the environments:"
|
||||
+echo " console, console-timed, flexi, remote-flexi, xdmcp"
|
||||
+echo "Also be sure to test using caps lock"
|
||||
+echo
|
||||
+
|
||||
+XNEST=`gdmwhich Xnest`
|
||||
+GDMXNEST=`gdmwhich gdmXnest`
|
||||
+GDMGREETER="@libexecdir@/gdmgreeter"
|
||||
+
|
||||
+if [ x$XNEST = x ]; then
|
||||
+ echo "ERROR: Xnest not found"
|
||||
+ echo ""
|
||||
+ exit 1
|
||||
+fi
|
||||
+
|
||||
+if [ x$GDMXNEST = x ]; then
|
||||
+ echo "ERROR: gdmXnest not found"
|
||||
+ echo ""
|
||||
+ exit 1
|
||||
+fi
|
||||
+
|
||||
+if [ x$GDMGREETER = x ]; then
|
||||
+ echo "ERROR: gdmgreeter not found"
|
||||
+ echo ""
|
||||
+ exit 1
|
||||
+fi
|
||||
+
|
||||
+USAGE="
|
||||
+Usage: $0 <environment> <theme>
|
||||
+<environment> is one of: console, console-timed, flexi, remote-flexi, xdmcp
|
||||
+<theme> is either the path of the theme or the name of an installed theme
|
||||
+
|
||||
+If you set the environment variable XNESTSIZE to <width>x<height> (e.g. 800x600)
|
||||
+you can test the greeter at that resolution
|
||||
+"
|
||||
+if [ "$#" != 2 ]; then
|
||||
+ echo "$USAGE"
|
||||
+ exit 1
|
||||
+fi
|
||||
+
|
||||
+GDM_THEME="$2"
|
||||
+DOING_GDM_DEVELOPMENT=yes
|
||||
+GDM_PARENT_DISPLAY="$DISPLAY"
|
||||
+export GDM_THEME DOING_GDM_DEVELOPMENT GDM_PARENT_DISPLAY
|
||||
+
|
||||
+case $1 in
|
||||
+console)
|
||||
+ GDM_IS_LOCAL=yes
|
||||
+ export GDM_IS_LOCAL
|
||||
+ ;;
|
||||
+console-timed)
|
||||
+ GDM_IS_LOCAL=yes
|
||||
+ GDM_FAKE_TIMED=yes
|
||||
+ export GDM_IS_LOCAL GDM_FAKE_TIMED
|
||||
+ ;;
|
||||
+flexi)
|
||||
+ GDM_IS_LOCAL=yes
|
||||
+ GDM_FLEXI_SERVER=yes
|
||||
+ export GDM_IS_LOCAL GDM_FLEXI_SERVER
|
||||
+ ;;
|
||||
+remote-flexi)
|
||||
+ GDM_FLEXI_SERVER=yes
|
||||
+ export GDM_FLEXI_SERVER
|
||||
+ ;;
|
||||
+xdmcp)
|
||||
+ ;;
|
||||
+*)
|
||||
+ echo "$USAGE"
|
||||
+ exit 1
|
||||
+ ;;
|
||||
+esac
|
||||
+
|
||||
+if [ "x$XNESTSIZE" = x ] ; then
|
||||
+ eval `gdmXnest -b`
|
||||
+else
|
||||
+ eval `gdmXnest -b -o "-geometry $XNESTSIZE"`
|
||||
+fi
|
||||
+export DISPLAY
|
||||
+
|
||||
+if [ "x$GDM_PARENT_DISPLAY" = "x$DISPLAY" ]; then
|
||||
+ echo "ERROR: Can't start the Xnest server"
|
||||
+ exit 1
|
||||
+fi
|
||||
+
|
||||
+# This may not be necessary
|
||||
+sleep 1
|
||||
+
|
||||
+@libexecdir@/gdmgreeter
|
Loading…
Reference in a new issue